Спуфинг атака и раскрытие информации в PhpMyAdmin

Дата публикации:
13.12.2010
Всего просмотров:
2006
Опасность:
Низкая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:P/RL:W/RC:C) = Base:4.3/Temporal:3.7
(AV:N/AC:M/Au:N/C:P/I:N/A:N/E:U/RL:W/RC:C) = Base:4.3/Temporal:3.5
CVE ID:
CVE-2010-4480
CVE-2010-4481
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие системных данных
Спуфинг атака
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpMyAdmin 2.x
phpMyAdmin 3.x
Уязвимые версии: PhpMyAdmin 3.3.8.1, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести спуфинг атаку и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной проверки входных данных в параметрах "type" и "error" в сценарии error.php. Удаленный пользователь может вставить ограниченное количество данных в HTML страницу в контексте сессии пользователя и произвести спуфинг атаку.

2. Уязвимость существует из-за того, что сценарий phpinfo.php хранится с небезопасными привилегиями на доступ внутри корневой директории Web сервера. Удаленный пользователь может получить информацию о конфигурации PHP на сервере. Для успешной эксплуатации уязвимости phpMyAdmin должен быть настроен отображать вывод функции phpinfo().

URL производителя: www.phpmyadmin.net

Решение: Установите исправление из GIT репозитория производителя.

Ссылки: http://www.phpmyadmin.net/home_page/security/PMASA-2010-9.php
http://phpmyadmin.git.sourceforge.net/git/gitweb.cgi?p=phpmyadmin/phpmyadmin;a=commitdiff;h=aa6fec0532a9dd48d4e35831c1b1c9785c124dd7
http://www.phpmyadmin.net/home_page/security/PMASA-2010-10.php
http://phpmyadmin.git.sourceforge.net/git/gitweb.cgi?p=phpmyadmin/phpmyadmin;a=commitdiff;h=4d9fd005671b05c4d74615d5939ed45e4d019e4c
http://www.exploit-db.com/exploits/15699/

или введите имя

CAPTCHA